open Topology
open Message

type t

val decompose: topo -> NS.t -> t

val repr: t -> nod -> int
  (* Number of the class for a node (between 0 and classes - 1) *)

val size: t -> nod -> int
  (* Number of nodes in the component *)


val split: t -> int -> nod -> int
  (* Split a given amount (multiplied by the number of components)
     between nodes, so that each connected component gets (roughly) the same 
     amount. *)

val classes: t -> int
  (* Number of classes *)
