open Message
val mk_plan: Info.info -> string -> ptype -> nod -> plan

type movs = (int * (ptype * nod)) list

val mk_plans: Info.info -> (int * (nod * ptype)) list -> plan list

val improve_plan: Info.info -> movs -> movs
(* S'assurer que mes flics attrapent le voleur si c'est possible. *)

val degrade_plan: Info.info -> movs -> movs
(* S'assurer qu'aucun flic n'attrape le voleur. *)

(*
val global_optimizer_plan:
  Info.info -> ((ptype * nod * nod) array -> float) -> plan list



val damien_plan: Info.info -> (Cops_api.mov) * plan list
*)


val change_cops_move_type : Info.info -> (int * ptype) list

(* val random_plan: Info.info -> plan list *)
(* val optimizer_plan: 
  Info.info -> (int -> ptype -> nod -> nod -> float) -> plan list *)
(* val repulser_plan: Info.info -> plan list *)
(*
val plan_of: Info.info -> plan list -> string -> Cops_api.mov
val my_plan: Info.info -> plan list -> Cops_api.mov
*)
