(* Computation of moves and plans for cops *)

(* $Id: planner.mli,v 1.7 2005/06/27 08:13:58 xleroy Exp $ *)

open Message
open Topology

type state
type scores

val init: topo -> Draw.t -> state
val make_plan: state -> Info.info -> NS.t -> NS.t -> scores * plan list
val decide_move: state -> Info.info -> scores -> plan list -> Cops_api.mov

type coefs = { static : int; robber : int; lastv : int; repulse : int }
val potential_node : 
  state -> Connected.t -> NS.t -> NS.t -> int -> ptype -> nod -> coefs -> int

