(* $Id: draw.mli,v 1.10 2005/06/26 16:17:22 frisch Exp $ *)

(* Dessin des cartes *)

type t

val init: ?sx:int -> ?sy:int -> Topology.topo -> t

val draw_nodes: t -> unit
val draw_map: t -> int list array -> Graphics.color -> unit
val draw_foot_map: t -> Graphics.color -> unit
val draw_oneway_map: t -> Graphics.color -> unit

val display_node_sets:
   t -> ?title:string -> ?wait:bool -> Topology.NS.t -> Topology.NS.t -> unit

val wait_q: t -> unit
val may_pause: t -> unit
val pause: t -> unit

val draw_label: t -> Message.nod -> string -> unit

val enabled : bool ref;;
